create table application_train (
    SK_ID_CURR integer PRIMARY KEY,
    TARGET boolean,
    NAME_CONTRACT_TYPE varchar(64),
	CODE_GENDER varchar(1),
	FLAG_OWN_CAR varchar(1),
	FLAG_OWN_REALTY varchar(1),
	CNT_CHILDREN smallserial,
	AMT_INCOME_TOTAL real,
	AMT_CREDIT real,
	AMT_ANNUITY real,
	AMT_GOODS_PRICE real,
	NAME_TYPE_SUITE varchar(64),
	NAME_INCOME_TYPE varchar(64),
	NAME_EDUCATION_TYPE varchar(64),
	NAME_FAMILY_STATUS varchar(64),
	NAME_HOUSING_TYPE varchar(64),
	REGION_POPULATION_RELATIVE real,
	DAYS_BIRTH integer,
	DAYS_EMPLOYED integer,
	DAYS_REGISTRATION integer,
	DAYS_ID_PUBLISH integer,
	OWN_CAR_AGE smallint,
	FLAG_MOBIL bool,
	FLAG_EMP_PHONE bool,
	FLAG_WORK_PHONE bool,
	FLAG_CONT_MOBILE bool,
	FLAG_PHONE bool,
	FLAG_EMAIL bool,
	OCCUPATION_TYPE varchar(64),
	CNT_FAM_MEMBERS smallint,
	REGION_RATING_CLIENT smallint,
	REGION_RATING_CLIENT_W_CITY smallint,
	WEEKDAY_APPR_PROCESS_START varchar(64),
	HOUR_APPR_PROCESS_START smallint,
	REG_REGION_NOT_LIVE_REGION smallint,
	LIVE_REGION_NOT_WORK_REGION bool,
	REG_CITY_NOT_LIVE_CITY bool,
	REG_CITY_NOT_WORK_CITY bool,
	LIVE_CITY_NOT_WORK_CITY bool,
	ORGANIZATION_TYPE varchar(64),
	EXT_SOURCE_1 real,
	EXT_SOURCE_2 real,
	EXT_SOURCE_3 real,
	APARTMENTS_AVG real,
	BASEMENTAREA_AVG real,
	YEARS_BEGINEXPLUATATION_AVG real,
	YEARS_BUILD_AVG real,
	COMMONAREA_AVG real,
	ELEVATORS_AVG real,
	ENTRANCES_AVG real,
	FLOORSMAX_AVG real,
	FLOORSMIN_AVG real,
	LANDAREA_AVG real,
	LIVINGAPARTMENTS_AVG real,
	LIVINGAREA_AVG real,
	NONLIVINGAPARTMENTS_AVG real,
	NONLIVINGAREA_AVG real,
	APARTMENTS_MODE real,
	BASEMENTAREA_MODE real,
	YEARS_BEGINEXPLUATATION_MODE real,
	YEARS_BUILD_MODE real,
	COMMONAREA_MODE real,
	ELEVATORS_MODE real,
	ENTRANCES_MODE real,
	FLOORSMAX_MODE real,
	FLOORSMIN_MODE real,
	LANDAREA_MODE real,
	LIVINGAPARTMENTS_MODE real,
	LIVINGAREA_MODE real,
	NONLIVINGAPARTMENTS_MODE real,
	NONLIVINGAREA_MODE real,
	APARTMENTS_MEDI real,
	BASEMENTAREA_MEDI real,
	YEARS_BEGINEXPLUATATION_MEDI real,
	YEARS_BUILD_MEDI real,
	COMMONAREA_MEDI real,
	ELEVATORS_MEDI real,
	ENTRANCES_MEDI real,
	FLOORSMAX_MEDI real,
	FLOORSMIN_MEDI real,
	LANDAREA_MEDI real,
	LIVINGAPARTMENTS_MEDI real,
	LIVINGAREA_MEDI real,
	NONLIVINGAPARTMENTS_MEDI real,
	NONLIVINGAREA_MEDI real,
	FONDKAPREMONT_MODE varchar(64),
	HOUSETYPE_MODE varchar(64),
	TOTALAREA_MODE real,
	WALLSMATERIAL_MODE varchar(64),
	EMERGENCYSTATE_MODE bool,
	OBS_30_CNT_SOCIAL_CIRCLE smallint,
	DEF_30_CNT_SOCIAL_CIRCLE smallint,
	OBS_60_CNT_SOCIAL_CIRCLE smallint,
	DEF_60_CNT_SOCIAL_CIRCLE smallint,
	DAYS_LAST_PHONE_CHANGE smallint,
	FLAG_DOCUMENT_2 bool,
	FLAG_DOCUMENT_3 bool,
	FLAG_DOCUMENT_4 bool,
	FLAG_DOCUMENT_5 bool,
	FLAG_DOCUMENT_6 bool,
	FLAG_DOCUMENT_7 bool,
	FLAG_DOCUMENT_8 bool,
	FLAG_DOCUMENT_9 bool,
	FLAG_DOCUMENT_10 bool,
	FLAG_DOCUMENT_11 bool,
	FLAG_DOCUMENT_12 bool,
	FLAG_DOCUMENT_13 bool,
	FLAG_DOCUMENT_14 bool,
	FLAG_DOCUMENT_15 bool,
	FLAG_DOCUMENT_16 bool,
	FLAG_DOCUMENT_17 bool,
	FLAG_DOCUMENT_18 bool,
	FLAG_DOCUMENT_19 bool,
	FLAG_DOCUMENT_20 bool,
	FLAG_DOCUMENT_21 bool,
	AMT_REQ_CREDIT_BUREAU_HOUR smallint,
	AMT_REQ_CREDIT_BUREAU_DAY smallint,
	AMT_REQ_CREDIT_BUREAU_WEEK smallint,
	AMT_REQ_CREDIT_BUREAU_MON smallint,
	AMT_REQ_CREDIT_BUREAU_QRT smallint,
	AMT_REQ_CREDIT_BUREAU_YEAR smallint
);

COPY application_train(
    SK_ID_CURR,
    TARGET,
    NAME_CONTRACT_TYPE,
	CODE_GENDER,
	FLAG_OWN_CAR,
	FLAG_OWN_REALTY,
	CNT_CHILDREN,
	AMT_INCOME_TOTAL,
	AMT_CREDIT,
	AMT_ANNUITY,
	AMT_GOODS_PRICE,
	NAME_TYPE_SUITE,
	NAME_INCOME_TYPE,
	NAME_EDUCATION_TYPE,
	NAME_FAMILY_STATUS,
	NAME_HOUSING_TYPE,
	REGION_POPULATION_RELATIVE,
	DAYS_BIRTH,
	DAYS_EMPLOYED,
	DAYS_REGISTRATION,
	DAYS_ID_PUBLISH,
	OWN_CAR_AGE,
	FLAG_MOBIL,
	FLAG_EMP_PHONE,
	FLAG_WORK_PHONE,
	FLAG_CONT_MOBILE,
	FLAG_PHONE,
	FLAG_EMAIL,
	OCCUPATION_TYPE,
	CNT_FAM_MEMBERS,
	REGION_RATING_CLIENT,
	REGION_RATING_CLIENT_W_CITY,
	WEEKDAY_APPR_PROCESS_START,
	HOUR_APPR_PROCESS_START,
	REG_REGION_NOT_LIVE_REGION,
	LIVE_REGION_NOT_WORK_REGION,
	REG_CITY_NOT_LIVE_CITY,
	REG_CITY_NOT_WORK_CITY,
	LIVE_CITY_NOT_WORK_CITY,
	ORGANIZATION_TYPE,
	EXT_SOURCE_1,
	EXT_SOURCE_2,
	EXT_SOURCE_3,
	APARTMENTS_AVG,
	BASEMENTAREA_AVG,
	YEARS_BEGINEXPLUATATION_AVG,
	YEARS_BUILD_AVG,
	COMMONAREA_AVG,
	ELEVATORS_AVG,
	ENTRANCES_AVG,
	FLOORSMAX_AVG,
	FLOORSMIN_AVG,
	LANDAREA_AVG,
	LIVINGAPARTMENTS_AVG,
	LIVINGAREA_AVG,
	NONLIVINGAPARTMENTS_AVG,
	NONLIVINGAREA_AVG,
	APARTMENTS_MODE,
	BASEMENTAREA_MODE,
	YEARS_BEGINEXPLUATATION_MODE,
	YEARS_BUILD_MODE,
	COMMONAREA_MODE,
	ELEVATORS_MODE,
	ENTRANCES_MODE,
	FLOORSMAX_MODE,
	FLOORSMIN_MODE,
	LANDAREA_MODE,
	LIVINGAPARTMENTS_MODE,
	LIVINGAREA_MODE,
	NONLIVINGAPARTMENTS_MODE,
	NONLIVINGAREA_MODE,
	APARTMENTS_MEDI,
	BASEMENTAREA_MEDI,
	YEARS_BEGINEXPLUATATION_MEDI,
	YEARS_BUILD_MEDI,
	COMMONAREA_MEDI,
	ELEVATORS_MEDI,
	ENTRANCES_MEDI,
	FLOORSMAX_MEDI,
	FLOORSMIN_MEDI,
	LANDAREA_MEDI,
	LIVINGAPARTMENTS_MEDI,
	LIVINGAREA_MEDI,
	NONLIVINGAPARTMENTS_MEDI,
	NONLIVINGAREA_MEDI,
	FONDKAPREMONT_MODE,
	HOUSETYPE_MODE,
	TOTALAREA_MODE,
	WALLSMATERIAL_MODE,
	EMERGENCYSTATE_MODE,
	OBS_30_CNT_SOCIAL_CIRCLE,
	DEF_30_CNT_SOCIAL_CIRCLE,
	OBS_60_CNT_SOCIAL_CIRCLE,
	DEF_60_CNT_SOCIAL_CIRCLE,
	DAYS_LAST_PHONE_CHANGE,
	FLAG_DOCUMENT_2,
	FLAG_DOCUMENT_3,
	FLAG_DOCUMENT_4,
	FLAG_DOCUMENT_5,
	FLAG_DOCUMENT_6,
	FLAG_DOCUMENT_7,
	FLAG_DOCUMENT_8,
	FLAG_DOCUMENT_9,
	FLAG_DOCUMENT_10,
	FLAG_DOCUMENT_11,
	FLAG_DOCUMENT_12,
	FLAG_DOCUMENT_13,
	FLAG_DOCUMENT_14,
	FLAG_DOCUMENT_15,
	FLAG_DOCUMENT_16,
	FLAG_DOCUMENT_17,
	FLAG_DOCUMENT_18,
	FLAG_DOCUMENT_19,
	FLAG_DOCUMENT_20,
	FLAG_DOCUMENT_21,
	AMT_REQ_CREDIT_BUREAU_HOUR,
	AMT_REQ_CREDIT_BUREAU_DAY,
	AMT_REQ_CREDIT_BUREAU_WEEK,
	AMT_REQ_CREDIT_BUREAU_MON,
	AMT_REQ_CREDIT_BUREAU_QRT,
	AMT_REQ_CREDIT_BUREAU_YEAR
) 
FROM 'E:\GitLab_CFT\Modelling\raw_data\home-credit\application_train.csv' DELIMITER ',' CSV HEADER;